#!/bin/bash
#
# $1       -- vstupni soubor s rovnicema ma priponu .tksl
# $ostatni -- pridavne parametry pro tksl
#
if [ -z "$1" ]; then
  echo "Prvni parametr je jmeno souboru se zadanim rovnic [.tksl]"
  exit
fi

if ! [ -f $1 ]; then
  echo "Soubor $1 neexistuje"
  exit
fi

if  ! [ -f viewer ]; then
  echo "Do souboru 'viewer' je treba ulozit jmeno programu, ktery bude zobrazovat vysledek"
  exit
fi

prohlizec=`cat viewer`    
if [ -z "$prohlizec" ]; then
  echo "Do souboru 'viewer' je treba ulozit jmeno programu, ktery bude zobrazovat vysledek"
  exit
fi

inputName=$1
outputName=${1%.tksl}
outputType=png

outputSh=$outputName.sh
outputPlot=$outputName.p
outputGraph=$outputName.$outputType

if [ -f $outputSh ] ; then
  echo -n "Rovnice je jiz vyresena. Zobrazit/Prepocitat?  [Z/p]? "
  read prepocist
  if [ "$prepocist" == "" -o  "$prepocist" == "Z"  -o "$prepocist" == "z" ] ; then
    $prohlizec $outputGraph
    exit
  fi
fi
#---------------------------------------------
echo -n "Tmax [10]: ";
read tmax;
if [ -z "$tmax" ] ; then
  tmax="10";
fi

echo -n "Zobrazit ORD [A/n]? "
read ord;
if [ "$ord" == "" -o "$ord" == "A" -o "$ord" == "a" ]; then
  ordString="-O 1"
else
  ordString="-O 0"
fi

rm -f $outputGraph $outputPlot $outputSh

shift
./tksl2 $ordString -t $tmax -g $outputType -G $outputName $* $inputName > $outputSh &&. $outputSh

if [ -f $outputPlot ]; then
  gnuplot $outputPlot
  $prohlizec $outputGraph
fi

